Bug 52936 - bad handling of duplicate entries in group file
Summary: bad handling of duplicate entries in group file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-31 00:04 UTC by Matthew Galgoci
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 13:22:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2001-08-31 00:04:50 UTC
Description of Problem:

If you have two identical groups in a group file and run grpconv on the
file, grpconv will run the system out of resources until the VM steps
in and kills grpconv.

Grant it, you should _never_ have two identical groups in a group file, but
shit does happen in the real world, especially when you are piecing a
system back together from backups.

Give me a core dump or an exit -1 rather than an infinite loop that brings
the system to its knees please.

How Reproducible:

'till the cows come home.

Steps to Reproduce:
1. edit the group file, duplicate an entry. Any entry should do.
2. run grpconv
3) Watch the system grind to a crawl. Try running top if you want.

Actual Results:


Expected Results:


Additional Information:

Comment 1 Matthew Galgoci 2003-02-28 03:33:03 UTC
This is still an issue in current phoebe


Note You need to log in before you can comment on or make changes to this bug.